Home > 열린마당 > 공개SW 소식

공개SW 소식

고스트 취약점 "하트블리드-셀쇼크보단 덜 위험"

OSS 게시글 작성 시각 2015-02-03 17:14:48 게시글 조회수 1046

2015년 02월 02일 (월)

ⓒ 지디넷코리아, 손경호 기자 sontech@zdnet.co.kr



최근 리눅스 운영체제(OS)에서 발견된 고스트(GHOST) 취약점(CVE-2015-0235)은 이전에 발견된 하트블리드, 셸쇼크 등 취약점에 비해 상대적으로 위험성이 낮은 것으로 확인됐다. 

거의 모든 리눅스 개발자들이 리눅스 그누 C 라이브러리(glib)에서 취약점이 발견된 '겟호스트바이네임(gethostbyname)'이라는 명령어를 애용하고 있다는 점에서 위험성이 있지만 실제로 해커가 이 방법을 동원해 대상 시스템을 악성코드에 감염시킬 가능성은 희박하다는 것이 전문가들 설명이다.

이 명령어는 예를 들어 리눅스에서 사용되는 웹브라우저 주소창에 'google.com'을 입력하면 해당 주소에 대한 IP주소를 알아내기 위해 사용된다.


▲ 리눅스 환경에서 고스트라는 취약점이 발견됐으나 실제로 이를 악용한 공격이 발생할 확률은 희박한 것으로 나타났다.


2일 국내 네트워크 보안 전문가 이경문씨는 "개발자 관점에서 glib는 거의 모든 리눅스 기반 시스템에 활용되고 있다는 점에서 공격 가능성이 있다는 점 자체가 알려진 것은 굉장히 민감한 사항"이라고 말했다. 

그러나 그는 고스트 취약점에 대해 "큰 건물에 뇌관이 있는데 이것을 건드리면 건물이 무너질 수 있다고 하더라도 실제로 외부에서 접촉해 뇌관을 건드릴 수 있는 가능성이 매우 희박하다고 설명했다. 민감한 보안 문제인 것은 맞지만 실제 이를 악용한 공격에 성공할 가능성은 거의 없다는 설명이다.

시만텍은 자사 공식 블로그를 통해 "고스트 취약점은 하트블리드, 셸쇼크만큼이나 심각한 문제처럼 보이지만 실제로는 여러가지 취약점을 제거할 수 있는 요소들이 존재한다"고 밝혔다. 

시만텍에 따르면 이유는 크게 3가지 요소가 고스트 취약점의 위험성을 낮춘다. 먼저 리눅스 진영에서는 약 2년전인 2013년 5월 이후 해당 취약점을 수정한 OS 버전을 배포했다. gethostbyname 대신 IPv4는 물론 IPv6 주소체계를 지원하는 'getaddrinfo'라는 명령어를 사용하고 있다는 점도 공격 가능성을 낮춘다. 현재 취약한 버전은 glibc 2.2~2.17 버전 뿐이다. 2.18~2.20 버전에서는 영향을 받지 않으며 2.1.3 이하 버전에서도 고스트 취약점이 적용되지 않는다. 

이 문제와 관련 한국인터넷진흥원(KISA)은 리눅스를 기반으로 구성된 메일, 홈페이지 등을 운영하는 서버, 가정용 무선랜 공유기, 방화벽, 침입방지시스템(IPS) 등이 영향을 받을 수 있을 것이라고 밝힌 바 있다. 

KISA 취약점 점검팀 박정환 팀장은 "아직 해당 취약점을 악용하는 익스플로잇 코드(취약점을 악용한 공격에 사용되는 악성코드)가 공개된 것이 아니고 웬만큼 서버를 잘 운영하는 곳에서는 패치가 이뤄졌을 것"이라고 밝혔다.



※ 본 내용은 (주)메가뉴스(http://www.zdnet.co.kr)의 저작권 동의에 의해 공유되고 있습니다.
Copyright ⓒ 지디넷코리아. 무단전재 및 재배포 금지


[원문출처 : http://www.zdnet.co.kr/news/news_view.asp?artice_id=20150202165438]

맨 위로
맨 위로